All the mail mirrored from lore.kernel.org
 help / color / mirror / Atom feed
From: Jeff King <peff@peff.net>
To: git@vger.kernel.org
Cc: Patrick Steinhardt <ps@pks.im>
Subject: Re: [PATCH 0/8] tightening ref handling outside of refs/
Date: Mon, 29 Apr 2024 04:42:38 -0400	[thread overview]
Message-ID: <20240429084238.GA242085@coredump.intra.peff.net> (raw)
In-Reply-To: <20240429081512.GA4130242@coredump.intra.peff.net>

On Mon, Apr 29, 2024 at 04:15:13AM -0400, Jeff King wrote:

>   [1/8]: t0600: don't create ref outside of refs/
>   [2/8]: t5619: use fully qualified refname for branch

You can probably guess that I found these test cleanups only after
writing the rest of the series and seeing them fail. :)

It turns out there is one more spot that is run only with reftables (so
CI caught it, but my local testing did not):

diff --git a/t/t0610-reftable-basics.sh b/t/t0610-reftable-basics.sh
index 178791e086..c6dbd2b5c4 100755
--- a/t/t0610-reftable-basics.sh
+++ b/t/t0610-reftable-basics.sh
@@ -343,11 +343,11 @@ test_expect_success 'ref transaction: env var disables compaction' '
 	for i in $(test_seq $iterations)
 	do
 		GIT_TEST_REFTABLE_AUTOCOMPACTION=false \
-		git -C repo update-ref branch-$i HEAD || return 1
+		git -C repo update-ref refs/heads/branch-$i HEAD || return 1
 	done &&
 	test_line_count = $expected repo/.git/reftable/tables.list &&
 
-	git -C repo update-ref foo HEAD &&
+	git -C repo update-ref refs/heads/foo HEAD &&
 	test_line_count -lt $expected repo/.git/reftable/tables.list
 '
 

I'll wait for comments before re-rolling, but I'll make sure that gets
added in.

-Peff

  parent reply	other threads:[~2024-04-29  8:42 UTC|newest]

Thread overview: 7+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-04-29  8:15 [PATCH 0/8] tightening ref handling outside of refs/ Jeff King
2024-04-29  8:16 ` [PATCH 1/8] t0600: don't create ref " Jeff King
2024-04-29  8:36 ` [PATCH 0/8] tightening ref handling " Jeff King
2024-04-29  8:42 ` Jeff King [this message]
2024-04-29  9:28   ` Patrick Steinhardt
2024-04-30 10:45     ` Jeff King
2024-04-29 15:01 ` Junio C Hamano

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20240429084238.GA242085@coredump.intra.peff.net \
    --to=peff@peff.net \
    --cc=git@vger.kernel.org \
    --cc=ps@pks.im \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.